PipeWire: Data Fields

PipeWire 0.3.34

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - p -

- p : port , profile , route
- pa_context : impl
- pa_mainloop : impl
- pa_stream : impl
- pad : spa_pod_sequence_body
- padding : spa_io_clock , spa_io_rate_match , spa_io_segment_bar , spa_io_segment_video , spa_io_video_size , spa_param_info
- pagesize : mempool
- param : param , pw_device_events , pw_node_events , pw_port_events , spa_result_device_params , spa_result_node_params
- param_changed : pw_filter_events , pw_impl_port_events , pw_stream_events
- param_list : filter , impl , port , stream
- params : endpoint , filter , port , pw_device_info , pw_node_info , pw_port_info , spa_device_info , spa_node_info , spa_port_info , stream
- parent : spa_graph , spa_json , spa_pod_frame , spa_type_info
- passthrough_only : node
- path : filter , plugin , stream
- paused : client
- peer : node , spa_graph_port
- peer_added : pw_impl_node_events
- peer_removed : pw_impl_node_events
- pending : spa_graph_state
- pending_list : impl
- pending_profile : device
- permissions : pw_client_events , pw_permission , registry_event
- permissions_changed : pw_global_events
- pi : resource_data
- pid : thread
- ping : pw_core_events
- pixel_aspect_ratio : spa_video_info_raw
- play_buffer : impl
- play_rate_match : impl
- play_ring : impl
- play_ringsize : impl
- playback : client , impl , module_roc_source_data
- playback_info : impl
- playback_listener : client , impl , module_roc_source_data
- playback_props : impl , module_roc_source_data
- plugged : endpoint , find_data , node
- plugin : descriptor , handle , plugin
- plugin_dir : support
- plugin_list : impl
- plugins : registry
- pod : spa_command , spa_event , spa_pod_array , spa_pod_bitmap , spa_pod_bool , spa_pod_bytes , spa_pod_choice , spa_pod_double , spa_pod_fd , spa_pod_float , spa_pod_fraction , spa_pod_frame , spa_pod_id , spa_pod_int , spa_pod_long , spa_pod_object , spa_pod_pointer , spa_pod_rectangle , spa_pod_sequence , spa_pod_string , spa_pod_struct
- policy_core : impl
- policy_listener : impl
- pollfd_add : spa_system_methods
- pollfd_create : spa_system_methods
- pollfd_del : spa_system_methods
- pollfd_mod : spa_system_methods
- pollfd_wait : spa_system_methods
- pong : pw_core_methods , pw_resource_events
- pool : pw_memblock
- port : find_port , graph_port , port
- port_added : pw_impl_node_events
- port_change_mask_all : stream
- port_enum_params : spa_node_methods
- port_id : port , spa_graph_port
- port_info : spa_node_events , stream
- port_info_changed : pw_impl_node_events
- port_init : pw_impl_node_events
- port_list : filter
- port_params : stream
- port_props : stream
- port_removed : pw_impl_node_events
- port_reuse_buffer : spa_node_methods
- port_set_io : spa_node_methods
- port_set_param : spa_node_methods
- port_unlinked : pw_impl_link_events
- port_use_buffers : spa_node_methods
- portal_managed : client
- portal_pid : impl
- portal_pid_pending : impl
- ports : filter , spa_graph_node
- position : filter , spa_audio_info_raw , spa_audio_layout_info , spa_io_clock , spa_io_segment , spa_meta_cursor , spa_region , stream
- prev : spa_list
- prev_active : route_info
- prev_available : route_info
- primaries : spa_video_colorimetry
- prio : profile
- priority : device , endpoint , find_data , node , route
- priv : spa_hook
- probed : device
- process : pw_filter_events , pw_stream_events , spa_graph_node_callbacks , spa_node_methods
- process_latency : filter
- process_rt : filter , stream
- profile : device
- profiles : route
- properties : impl
- property : pw_impl_metadata_events
- props : device , endpoint , impl , module_roc_sink_data , module_roc_source_data , node , port , pw_client_info , pw_core_info , pw_device_info , pw_factory_info , pw_link_info , pw_mempool , pw_module_info , pw_node_info , pw_port_info , registry_event , route , spa_device_info , spa_device_object_info , spa_node_info , spa_port_info , stream
- props_store : registry_event
- protocol : protocol_data , pw_protocol_client , pw_protocol_server , tunnel_info
- protocol_link : client_data
- proxy : impl , link , metadata , node , registry_event
- proxy_client_session_listener : impl
- proxy_listener : endpoint
- proxy_policy_listener : impl
- ptr : mapping , pw_memmap
- pts : spa_meta_header
- pulse : impl